"""empty message

Revision ID: 41f53100a4de
Revises: 3f44ca212eac
Create Date: 2021-09-03 12:17:25.880187

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '41f53100a4de'
down_revision = '3f44ca212eac'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    boardcolumn = postgresql.ENUM(
        'FIRST', 'SECOND', 'THIRD', 'FOURTH', 'FIFTH',
        'SIXTH', 'SEVENTH', 'EIGHTH', 'NINTH', 'TENTH',
        name='boardcolumn'
    )
    boardcolumn.create(op.get_bind())
    boardrow = postgresql.ENUM(
        'ONE', 'TWO', 'THREE', 'FOUR', 'FIVE',
        'SIX', 'SEVEN', 'EIGHT', 'NINE', 'TEN',
        name='boardrow'
    )
    boardrow.create(op.get_bind())

    op.add_column(
        'cell',
        sa.Column(
            'col',
            sa.Enum('FIRST', 'SECOND', 'THIRD', 'FOURTH', 'FIFTH',
                    'SIXTH', 'SEVENTH', 'EIGHTH', 'NINTH', 'TENTH',
                    name='boardcolumn'),
            nullable=True
        )
    )
    op.add_column(
        'cell',
        sa.Column(
            'row',
            sa.Enum('ONE', 'TWO', 'THREE', 'FOUR', 'FIVE',
                    'SIX', 'SEVEN', 'EIGHT', 'NINE', 'TEN',
                    name='boardrow'),
            nullable=True
        )
    )
    op.alter_column('cell', 'col', nullable=False)
    op.alter_column('cell', 'row', nullable=False)
    op.create_unique_constraint(None, 'cell', ['board_id', 'row', 'col'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'cell', type_='unique')
    op.drop_column('cell', 'row')
    op.drop_column('cell', 'col')
    # ### end Alembic commands ###
